docs

# getChat

suspend fun TelegramBot . getChat (chatId: ChatIdentifier ): ExtendedChat
Content copied to clipboard
suspend fun TelegramBot . getChat (chat: Chat ): ExtendedChat
Content copied to clipboard
suspend fun TelegramBot . getChat (chat: PublicChat ): ExtendedPublicChat
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedPublicChat with unsafe operator "as"

## Throws

kotlin.ClassCastException
suspend fun TelegramBot . getChat (chat: ChannelChat ): ExtendedChannelChat
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedChannelChat with unsafe operator "as"

## Throws

kotlin.ClassCastException
suspend fun TelegramBot . getChat (chat: ChannelChatImpl ): ExtendedChannelChatImpl
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedChannelChatImpl with unsafe operator "as"

## Throws

kotlin.ClassCastException
suspend fun TelegramBot . getChat (chat: GroupChat ): ExtendedGroupChat
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedGroupChat with unsafe operator "as"

## Throws

kotlin.ClassCastException
suspend fun TelegramBot . getChat (chat: GroupChatImpl ): ExtendedGroupChatImpl
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedGroupChatImpl with unsafe operator "as"

## Throws

kotlin.ClassCastException
suspend fun TelegramBot . getChat (chat: SupergroupChat ): ExtendedSupergroupChat
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedSupergroupChat with unsafe operator "as"

## Throws

kotlin.ClassCastException
suspend fun TelegramBot . getChat (chat: SupergroupChatImpl ): ExtendedSupergroupChatImpl
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedSupergroupChatImpl with unsafe operator "as"

## Throws

kotlin.ClassCastException
suspend fun TelegramBot . getChat (chat: PrivateChat ): ExtendedPrivateChat
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedPrivateChat with unsafe operator "as"

## Throws

kotlin.ClassCastException
suspend fun TelegramBot . getChat (chat: PrivateChatImpl ): ExtendedPrivateChatImpl
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedPrivateChatImpl with unsafe operator "as"

## Throws

kotlin.ClassCastException
suspend fun TelegramBot . getChat (chat: CommonUser ): ExtendedPrivateChatImpl
Content copied to clipboard

Will cast incoming dev.inmo.tgbotapi.types.chat.ExtendedChat to a ExtendedUser with unsafe operator "as"

## Throws

kotlin.ClassCastException